declare const _default: (nameSpace?: number | string) => Record<string, unknown>;
/**
 * A singleton context container for accessing state between components. Should be used for vars that shouldn't affect React change detection, e.g. not suitable to be stored in React context or are updated mutably.
 *
 * Empty namespace "" is used for global vars.
 */
export default _default;
export declare function clear(): void;
