export function AddButton({ onClick }: {
    onClick: any;
}): JSX.Element;
export function Help({ help, id }: {
    help: any;
    id: any;
}): JSX.Element;
export function Label({ label, children, id, required, registry, uiSchema }: {
    label: any;
    children: any;
    id: any;
    required: any;
    registry?: {} | undefined;
    uiSchema?: {} | undefined;
}): JSX.Element;
export class Button extends React.Component<any, any, any> {
    static contextType: React.Context<import("../ReactContext").ContextProps>;
    constructor(props: any);
    constructor(props: any, context: any);
}
export class DeleteButton extends React.Component<any, any, any> {
    static contextType: React.Context<import("../ReactContext").ContextProps>;
    static propTypes: {
        confirm: PropTypes.Requireable<boolean>;
        onClick: PropTypes.Validator<(...args: any[]) => any>;
        translations: PropTypes.Validator<object>;
        confirmStyle: PropTypes.Requireable<string>;
    };
    constructor(props: any);
    onButtonKeyDown: ({ key }: {
        key: any;
    }) => void;
    onHideConfirm: () => void;
    callbackCalled: boolean | undefined;
    onShowConfirm: (e: any) => void;
    onConfirmedClick: (e: any) => void;
    deleted: boolean | undefined;
    onClick: (e: any, callback: any) => void;
    callback: any;
    setConfirmAutofocus: (elem: any) => void;
    renderConfirm: () => JSX.Element | null;
    getOverlayTarget: () => Element | Text | null;
    renderConfirmPopup(): JSX.Element;
    browserConfirm(): void;
}
export const GlyphButton: React.ForwardRefExoticComponent<React.RefAttributes<any>>;
export class Affix extends React.Component<any, any, any> {
    constructor(props: any);
    getState: (props: any) => any;
    _onScroll: () => void;
    onScroll: () => void;
    _onResize: () => void;
    onResize: () => void;
}
export class Stretch extends React.Component<any, any, any> {
    constructor(props: any);
    cameToViewFirstTime: number | boolean | undefined;
    initialized: boolean | undefined;
    _onScroll: () => void;
    onScroll: () => void;
    update: (state: any, callback: any) => void;
    getState: () => {
        horizontallyAligned: boolean;
        containerHeight?: undefined;
        height?: undefined;
        top?: undefined;
    } | {
        horizontallyAligned: boolean;
        containerHeight: any;
        height: number;
        top: number;
    };
}
export class ErrorPanel extends React.Component<any, any, any> {
    static contextType: React.Context<import("../ReactContext").ContextProps>;
    constructor(props: any);
    expand: () => void;
    collapseToggle: () => void;
}
export class TooltipComponent extends React.Component<any, any, any> {
    static contextType: React.Context<import("../ReactContext").ContextProps>;
    constructor(props: any);
    onMouseOver: () => void;
    onMouseOut: () => void;
}
export const FetcherInput: React.ForwardRefExoticComponent<React.RefAttributes<any>>;
export class OverlayTrigger extends React.Component<any, any, any> {
    static contextType: React.Context<import("../ReactContext").ContextProps>;
    constructor(props: any);
    overlayTriggerMouseOver: () => void;
    overlayTriggerMouseIn: boolean | undefined;
    overlayTriggerMouseOut: () => void;
    overlayTimeout: any;
    overlayMouseOver: () => void;
    overlayMouseIn: boolean | undefined;
    overlayMouseOut: () => void;
}
export class Fullscreen extends React.Component<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    bodyOverFlow: string | undefined;
    _onKeyDown: boolean | undefined;
}
export class FailedBackgroundJobsPanel extends React.Component<any, any, any> {
    static contextType: React.Context<import("../ReactContext").ContextProps>;
    constructor(props: any);
    dismissFailedJob: ({ id, hook, running }: {
        id: any;
        hook: any;
        running: any;
    }) => (e: any) => void;
    retryFailedJob: ({ hook, running }: {
        hook: any;
        running: any;
    }) => (e: any) => void;
    poppedToggle: (e: any) => void;
}
import * as React from "react";
import * as PropTypes from "prop-types";
