"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const AnyToBooleanWidget_1 = require("../widgets/AnyToBooleanWidget");
const PropTypes = require("prop-types");
const _anyToBoolean = (props) => React.createElement(AnyToBooleanWidget_1.AnyToBoolean, Object.assign({}, props));
_anyToBoolean.propTypes = {
    uiSchema: PropTypes.shape({
        "ui:options": PropTypes.shape({
            trueValue: PropTypes.oneOfType([PropTypes.array, PropTypes.object]).isRequired,
            falseValue: PropTypes.oneOfType([PropTypes.array, PropTypes.object]),
            allowUndefined: PropTypes.bool
        })
    }),
    schema: PropTypes.shape({
        type: PropTypes.oneOf(["array", "object"])
    }).isRequired,
    formData: PropTypes.oneOfType([PropTypes.array, PropTypes.object])
};
exports.default = _anyToBoolean;
