export default class CombinedValueDisplayField extends React.Component<any, any, any> {
    static propTypes: {
        uiSchema: PropTypes.Validator<PropTypes.InferProps<{
            "ui:options": PropTypes.Requireable<PropTypes.InferProps<{
                combined: PropTypes.Requireable<PropTypes.InferProps<{
                    firstField: PropTypes.Validator<string>;
                    secondField: PropTypes.Validator<string>;
                    name: PropTypes.Requireable<string>;
                    title: PropTypes.Requireable<string>;
                    combineType: PropTypes.Requireable<string>;
                    delimiter: PropTypes.Requireable<string>;
                }> | (PropTypes.InferProps<{
                    firstField: PropTypes.Validator<string>;
                    secondField: PropTypes.Validator<string>;
                    name: PropTypes.Requireable<string>;
                    title: PropTypes.Requireable<string>;
                    combineType: PropTypes.Requireable<string>;
                    delimiter: PropTypes.Requireable<string>;
                }> | null | undefined)[]>;
            }>>;
            uiSchema: PropTypes.Requireable<object>;
        }>>;
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        formData: PropTypes.Validator<object>;
    };
    static getName(): string;
    constructor(props: any);
    constructor(props: any, context: any);
    getStateFromProps(props: any): {
        schema: any;
        idSchema: any;
        formData: any;
        onChange: (formData: any) => void;
    };
    toMinutes: (time: any) => number;
    onChange: (formData: any) => void;
}
import * as React from "react";
import * as PropTypes from "prop-types";
