export default class InputWithDefaultValueButtonField extends React.Component<any, any, any> {
    static propTypes: {
        uiSchema: PropTypes.Validator<PropTypes.InferProps<{
            "ui:options": PropTypes.Validator<PropTypes.InferProps<{
                buttonLabel: PropTypes.Validator<string>;
                buttonField: PropTypes.Validator<string>;
                valueFields: PropTypes.Requireable<PropTypes.InferProps<{
                    field: PropTypes.Validator<string>;
                    contextFieldForDefaultValue: PropTypes.Validator<string>;
                }>[]>;
            }>>;
        }>>;
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        formData: PropTypes.Validator<object>;
    };
    static getName(): string;
    constructor(props: any);
    constructor(props: any, context: any);
    getStateFromProps(props: any): any;
    onClick: () => void;
}
import * as React from "react";
import * as PropTypes from "prop-types";
