import * as React from "react";
import * as PropTypes from "prop-types";
import { FieldProps } from "../LajiForm";
import { ReactInstance } from "react";
import * as memoize from "memoizee";
interface State {
    activeButtonIdx?: number;
}
export default class MultiTagArrayField extends React.Component<FieldProps, State> {
    static contextType: React.Context<import("../../ReactContext").ContextProps>;
    static propTypes: {
        uiSchema: PropTypes.Requireable<PropTypes.InferProps<{
            "ui:options": PropTypes.Requireable<PropTypes.InferProps<{
                buttons: PropTypes.Requireable<(PropTypes.InferProps<{
                    operation: PropTypes.Requireable<string>;
                    label: PropTypes.Requireable<string>;
                    className: PropTypes.Requireable<string>;
                }> | null | undefined)[]>;
            }>>;
        }>>;
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        formData: PropTypes.Requireable<object>;
    };
    state: State;
    private affixContainerElem;
    setAffixContainer: (ref: ReactInstance) => void;
    getAffixContainer: () => Element | null;
    render(): JSX.Element;
    onChange: ((key: string) => (formData: any) => void) & memoize.Memoized<(key: string) => (formData: any) => void>;
    onButtonClick: ((idx: number) => () => void) & memoize.Memoized<(idx: number) => () => void>;
    onTagClick: ((fromField: string) => (idx: number) => void) & memoize.Memoized<(fromField: string) => (idx: number) => void>;
}
export {};
