/**
 * Compatible only with gatherings array and gathering object.
 */
export default class NamedPlaceChooserField extends React.Component<any, any, any> {
    static contextType: React.Context<import("../../ReactContext").ContextProps>;
    static propTypes: {
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        formData: PropTypes.Requireable<object>;
    };
    constructor(props: any);
    apiClient: any;
    removeIds: {};
    getStateFromProps(props: any): {
        uiSchema: any;
    };
    getUiSchema: (props: any) => any;
    buttonDefinition: any;
    isGatheringsArray: () => boolean;
    onPlaceSelected: (place: any) => void;
    onPlaceDeleted: (place: any, success: any) => void;
    onButtonClick: () => () => void;
    updatePlaces: () => void;
    mounted: boolean | undefined;
    onHide: () => void;
}
import * as React from "react";
import * as PropTypes from "prop-types";
