export default class PrefillingArrayField extends React.Component<any, any, any> {
    static propTypes: {
        uiSchema: PropTypes.Requireable<PropTypes.InferProps<{
            "ui:options": PropTypes.Requireable<PropTypes.InferProps<{
                field: PropTypes.Requireable<string>;
                uiSchema: PropTypes.Requireable<object>;
            }>>;
        }>>;
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        formData: PropTypes.Validator<any[]>;
    };
    static getName(): string;
    constructor(props: any);
    constructor(props: any, context: any);
    getStateFromProps(props: any): any;
    mapFormData: (formData: any) => any;
    onChange: (formData: any) => void;
}
import * as React from "react";
import * as PropTypes from "prop-types";
