export default class SectionArrayField extends React.Component<any, any, any> {
    static propTypes: {
        uiSchema: PropTypes.Requireable<PropTypes.InferProps<{
            "ui:options": PropTypes.Requireable<PropTypes.InferProps<{}>>;
        }>>;
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        formData: PropTypes.Requireable<any[]>;
    };
    static getName(): string;
    constructor(props: any);
    arrayKeyFunctions: {
        insert: (e: any, props: any) => void;
        navigateSection: (e: any, { getProps, left, right, up, goOverRow }: {
            getProps: any;
            left: any;
            right: any;
            up: any;
            goOverRow: any;
        }) => boolean | undefined;
        navigateArray: (e: any, { reverse, getProps, navigateCallforward, getCurrentIdx, focusByIdx, getIdToScrollAfterNavigate }: {
            reverse: any;
            getProps: any;
            navigateCallforward: any;
            getCurrentIdx: any;
            focusByIdx: any;
            getIdToScrollAfterNavigate: any;
        }) => boolean;
    };
    getStateFromProps(props: any): {
        uiSchema: any;
        formContext: any;
        registry: any;
    };
}
import * as React from "react";
import * as PropTypes from "prop-types";
