import * as React from "react";
import * as PropTypes from "prop-types";
import { FieldProps } from "../LajiForm";
export default class SplitField extends React.Component<FieldProps> {
    static contextType: React.Context<import("../../ReactContext").ContextProps>;
    static propTypes: {
        uiSchema: PropTypes.Requireable<PropTypes.InferProps<{
            "ui:options": PropTypes.Validator<PropTypes.InferProps<{
                splits: PropTypes.Validator<(PropTypes.InferProps<{
                    fields: PropTypes.Validator<(string | null | undefined)[]>;
                    uiSchema: PropTypes.Requireable<object>;
                    name: PropTypes.Requireable<string>;
                    lg: PropTypes.Requireable<number>;
                    md: PropTypes.Requireable<number>;
                    sm: PropTypes.Requireable<number>;
                    xs: PropTypes.Requireable<number>;
                }> | null | undefined)[]>;
            }>>;
        }>>;
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        formData: PropTypes.Validator<object>;
    };
    render(): JSX.Element;
    renderSplitField: ({ fields }: any) => JSX.Element;
    onChange: (fields: string[]) => (formData: any) => void;
}
