export default class TextareaWidget extends React.Component<any, any, any> {
    static propTypes: {
        "ui:options": PropTypes.Requireable<PropTypes.InferProps<{
            emptyValue: PropTypes.Requireable<string>;
            rows: PropTypes.Requireable<number>;
        }>>;
        schema: PropTypes.Requireable<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        value: PropTypes.Requireable<string>;
    };
    static contextType: React.Context<import("../../ReactContext").ContextProps>;
    constructor(props: any);
    textareaRef: React.RefObject<any>;
    _context: Record<string, unknown>;
    getStateFromProps: (props: any) => {
        value: any;
    };
    onFocus: (e: any) => void;
    focused: boolean | undefined;
    onBlur: (e: any) => void;
    onChange: (value: any) => void;
    timeout: any;
    _onChange: ({ target: { value } }: {
        target: {
            value: any;
        };
    }) => void;
    onKeyDown: (e: any) => void;
}
import * as React from "react";
import * as PropTypes from "prop-types";
