"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const PropTypes = require("prop-types");
const BaseInputTemplate_1 = require("../templates/BaseInputTemplate");
class UpperCaseWidget extends React.Component {
    constructor() {
        super(...arguments);
        this.formatValue = (value) => typeof value === "string" ? value.toUpperCase() : value;
    }
    render() {
        return React.createElement(BaseInputTemplate_1.default, Object.assign({}, this.props, { formatValue: this.formatValue }));
    }
}
exports.default = UpperCaseWidget;
UpperCaseWidget.propTypes = {
    schema: PropTypes.shape({
        type: PropTypes.oneOf(["string"])
    }).isRequired,
    value: PropTypes.string
};
