export default class GeocoderField extends React.Component<any, any, any> {
    static propTypes: {
        uiSchema: PropTypes.Validator<PropTypes.InferProps<{
            "ui:options": PropTypes.Requireable<PropTypes.InferProps<{
                updateOnlyEmpty: PropTypes.Requireable<boolean>;
                button: PropTypes.Requireable<boolean>;
                fields: PropTypes.Requireable<(string | null | undefined)[]>;
                geometryField: PropTypes.Requireable<string>;
                fieldOptions: PropTypes.Requireable<(PropTypes.InferProps<{
                    field: PropTypes.Requireable<string>;
                    enum: PropTypes.Requireable<string>;
                }> | null | undefined)[]>;
            }>>;
            uiSchema: PropTypes.Requireable<object>;
        }>>;
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        formData: PropTypes.Requireable<object>;
    };
    static getName(): string;
    static contextType: React.Context<import("../../ReactContext").ContextProps>;
    constructor(props: any);
    onLocate: (geometry: any) => void;
    mounted: boolean | undefined;
    getOptions: (props: any) => any;
    getStateFromProps(props: any, loading: any): {
        loading: any;
    };
    getButton(props: any, loading: any): {
        fn: () => () => void;
        position: string;
        key: any;
        render: (onClick: any) => JSX.Element;
    };
    onButtonClick: () => () => void;
    fetchedButton: any;
    getGeometry: (props: any) => any;
    normalizeGeometry: (geometry: any) => any;
    fetch: (url: any) => any;
    update: (props: any, callback: any) => void;
    getComponentContext: () => Record<string, unknown>;
    updateForGeometry: (props: any, callback: any, geometry: any) => void;
    promiseTimestamp: number | undefined;
}
import * as React from "react";
import * as PropTypes from "prop-types";
