export function parseGeometries(geometry: any): any;
export default class MapArrayField extends React.Component<any, any, any> {
    static propTypes: {
        uiSchema: PropTypes.Requireable<PropTypes.InferProps<{
            "ui:options": PropTypes.Validator<PropTypes.InferProps<{
                geometryField: PropTypes.Requireable<string>;
                geometryMapper: PropTypes.Requireable<string>;
                topOffset: PropTypes.Requireable<number>;
                bottomOffset: PropTypes.Requireable<number>;
                popupFields: PropTypes.Requireable<(object | null | undefined)[]>;
                computeAreaField: PropTypes.Requireable<string>;
                areaInHectares: PropTypes.Requireable<boolean>;
                mapSizes: PropTypes.Requireable<PropTypes.InferProps<{
                    lg: PropTypes.Requireable<number>;
                    md: PropTypes.Requireable<number>;
                    sm: PropTypes.Requireable<number>;
                    xs: PropTypes.Requireable<number>;
                }>>;
                data: PropTypes.Requireable<(PropTypes.InferProps<{
                    geometryField: PropTypes.Validator<string>;
                }> | null | undefined)[]>;
                help: PropTypes.Requireable<string>;
            }>>;
        }>>;
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        formData: PropTypes.Requireable<object>;
    };
    constructor(props: any);
    constructor(props: any, context: any);
}
export class MapComponent extends React.Component<any, any, any> {
    static contextType: React.Context<import("../../ReactContext").ContextProps>;
    constructor(props: any);
    mainContext: Record<string, unknown>;
    _context: Record<string, unknown>;
    tileLayerChange: ({ tileLayers }: {
        tileLayers: any;
    }) => void;
    overlaysChange: ({ overlayNames }: {
        overlayNames: any;
    }) => void;
    tileLayerOpacityChangeEnd: ({ tileLayerOpacity }: {
        tileLayerOpacity: any;
    }) => void;
    locateToggle: ({ locate }: {
        locate: any;
    }) => void;
    map: any;
    _callback: any;
    grabFocus: () => void;
    releaseFocus: () => void;
    showPanel: (options: any) => void;
    hidePanel: () => void;
    showHelp: () => void;
    hideHelp: () => void;
    setMapState: (options: any, callback: any) => void;
    setOnUpdateMap: (fn: any) => void;
    _permaCallback: any;
}
export class Map extends React.Component<any, any, any> {
    static defaultProps: {
        tileLayerName: string;
        availableTileLayerNamesBlacklist: string[];
    };
    constructor(props: any);
    mounted: boolean | undefined;
    getMapOptions: (props: any) => any;
    getEnhancedMapOptions: (props: any) => any;
    setMapOptions: (prevOptions: any, options: any) => void;
    initializeMap: (props: any) => void;
    map: any;
}
export function getFeatureStyleWithLowerOpacity(style: any): any;
export function getFeatureStyleWithHighlight(style: any): any;
import * as React from "react";
import * as PropTypes from "prop-types";
