export function findSingleGeometry(geoJSON: any): any;
export function getCenterAndRadiusFromGeometry(geometry: any): {
    center?: undefined;
    radius?: undefined;
} | {
    center: any;
    radius: any;
};
export default class MapField extends React.Component<any, any, any> {
    static propTypes: {
        uiSchema: PropTypes.Requireable<PropTypes.InferProps<{
            "ui:options": PropTypes.Requireable<PropTypes.InferProps<{
                mapOptions: PropTypes.Requireable<object>;
                height: PropTypes.Requireable<number>;
                emptyHelp: PropTypes.Requireable<string>;
                geometryCollection: any;
            }>>;
        }>>;
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        formData: PropTypes.Requireable<object>;
    };
    constructor(props: any);
    onLocateEventHandler: (geometry: any) => void;
    _lastFormData: any;
    _zoomToDataOnNextTick: boolean | undefined;
    geocode: (prevProps: any) => void;
    zoomIfExternalEdit: (props: any) => void;
    setMapRef: (mapComponent: any) => void;
    map: any;
    showMobileEditorMap: () => void;
    getDrawOptions: (props: any) => any;
    getEditWithModalFeatureStyle: () => {
        fillOpacity: number;
        color: string;
        weight: string;
    };
    getGeometry: (props: any) => any;
    onOptionsChanged: (options: any) => void;
    onChange: (events: any) => void;
    onMobileEditorChange: (point: any) => void;
    onHideMobileEditorMap: (options: any) => void;
    onLocate: (latlng: any, radius: any, forceShow: any) => void;
    renderBlocker(): JSX.Element | undefined;
}
import * as React from "react";
import * as PropTypes from "prop-types";
