export default class UnitShorthandField extends React.Component<any, any, any> {
    static propTypes: {
        uiSchema: PropTypes.Requireable<PropTypes.InferProps<{
            "ui:options": PropTypes.Validator<PropTypes.InferProps<{
                shorthandField: PropTypes.Requireable<string>;
                formID: PropTypes.Requireable<string>;
                showSchema: PropTypes.Requireable<boolean>;
                persistenceKey: PropTypes.Requireable<string>;
            }>>;
            uiSchema: PropTypes.Requireable<object>;
        }>>;
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        formData: PropTypes.Validator<object>;
    };
    constructor(props: any);
    getStateFromProps: (props: any) => any;
    onNextTick: (() => void) | undefined;
    shouldShowSchema: (props: any) => any;
    onToggleButtonClick: () => () => void;
    getToggleButton: () => {
        glyph: string;
        fn: () => () => void;
        tooltip: any;
        tooltipPlacement: string;
        active: boolean;
    };
    onCodeChange: (formData?: {}) => void;
}
import * as React from "react";
import * as PropTypes from "prop-types";
