export default class _AutosuggestWidget extends React.Component<any, any, any> {
    static propTypes: {
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        value: PropTypes.Requireable<string>;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    formatValue(value: any, options: any, parentProps: any): JSX.Element | undefined;
}
export class Autosuggest extends React.Component<any, any, any> {
    static contextType: React.Context<import("../../ReactContext").ContextProps>;
    static propTypes: {
        autosuggestField: PropTypes.Requireable<string>;
        allowNonsuggestedValue: PropTypes.Requireable<boolean>;
        onSuggestionSelected: PropTypes.Requireable<(...args: any[]) => any>;
        onUnsuggestedSelected: PropTypes.Requireable<(...args: any[]) => any>;
        onInputChange: PropTypes.Requireable<(...args: any[]) => any>;
        uiSchema: PropTypes.Requireable<object>;
        informalTaxonGroups: PropTypes.Requireable<string>;
        onInformalTaxonGroupSelected: PropTypes.Requireable<(...args: any[]) => any>;
    };
    static defaultProps: {
        allowNonsuggestedValue: boolean;
        suggestionReceive: string;
    };
    constructor(props: any);
    isValueSuggested: (props: any) => any;
    wrapperRef: React.RefObject<any>;
    apiClient: any;
    mounted: boolean | undefined;
    keyFunctions: {
        autosuggestToggle: () => boolean;
    };
    triggerConvert: (props: any) => void;
    getSuggestionValue: (suggestion: any) => any;
    renderSuggestion: (suggestion: any) => JSX.Element;
    selectSuggestion: (suggestion: any) => void;
    selectUnsuggested: (value: any) => void;
    onSuggestionSelected: (suggestion: any) => void;
    onUnsuggestedSelected: (inputValue: any) => void;
    findExactMatch: (suggestions: any, inputValue?: string) => any;
    findTheOnlyOneMatch: (suggestions: any) => any;
    findNonMatching: (suggestions: any) => any;
    onInputChange: (e: any, reason: any, callback: any) => void;
    onSuggestionsFetchRequested: ({ value }: {
        value: any;
    }, debounce?: boolean) => void;
    promiseTimestamp: number | undefined;
    timeout: any;
    onFocus: (e: any) => void;
    onBlur: (e: any) => void;
    _valueForBlurAndFetch: any;
    afterBlurAndFetch: (suggestions: any, callback: any) => void;
    setRef: (elem: any) => void;
    autosuggestRef: any;
    onInformalTaxonGroupsOpened: (open: any) => void;
    onInformalTaxonGroupSelected: (id: any) => void;
    onInformalTaxonGroupHide: () => void;
    onToggle: () => void;
    isSuggested: () => any;
    renderInput: (inputProps: any) => JSX.Element;
}
import * as React from "react";
import * as PropTypes from "prop-types";
