"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const PropTypes = require("prop-types");
const BaseInputTemplate_1 = require("../templates/BaseInputTemplate");
class NumberWidget extends React.Component {
    constructor() {
        super(...arguments);
        this.formatValue = (value) => !isNaN(value) ? value : null;
    }
    render() {
        return React.createElement(BaseInputTemplate_1.default, Object.assign({}, this.props, { formatValue: this.formatValue }));
    }
}
exports.default = NumberWidget;
NumberWidget.propTypes = {
    schema: PropTypes.shape({
        type: PropTypes.oneOf(["string"])
    }).isRequired,
    value: PropTypes.string
};
