import { FormContext } from "../components/LajiForm";
declare type FocusHandler = () => Promise<void> | void;
export default class FocusService {
    private formContext;
    private focusHandlers;
    constructor(formContext: FormContext);
    setFormContext(formContext: FormContext): void;
    addFocusHandler(id: string, fn: FocusHandler): void;
    removeFocusHandler(id: string, fn: FocusHandler): void;
    focus(id: string): void;
    focusNextInput(reverse?: boolean): void;
}
export {};
