"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapping = void 0;
const fontawesome_svg_core_1 = require("@fortawesome/fontawesome-svg-core");
const free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
fontawesome_svg_core_1.library.add(free_solid_svg_icons_1.fas);
exports.mapping = {
    "asterisk": "asterisk",
    "plus": "plus",
    "euro": "eur",
    "eur": "eur",
    "minus": "minus",
    "cloud": "cloud",
    "envelope": "envelope",
    "pencil": "pencil",
    "glass": "glass",
    "music": "music",
    "search": "search",
    "heart": "heart",
    "star": "star",
    "star-empty": "star",
    "user": "user",
    "film": "film",
    "th-large": "th-large",
    "th": "th",
    "th-list": "th-list",
    "ok": "check",
    "remove": "remove",
    "zoom-in": "search-plus",
    "zoom-out": "search-minus",
    "off": "power-off",
    "signal": "signal",
    "cog": "cog",
    "trash": "trash",
    "home": "home",
    "file": "file",
    "time": "clock",
    "road": "road",
    "download-alt": "cloud-download",
    "download": "download",
    "upload": "upload",
    "inbox": "inbox",
    "play-circle": "play-circle",
    "repeat": "repeat",
    "refresh": "refresh",
    "list-alt": "list-alt",
    "lock": "lock",
    "flag": "flag",
    "headphones": "headphones",
    "volume-off": "volume-off",
    "volume-down": "volume-down",
    "volume-up": "volume-up",
    "qrcode": "qrcode",
    "barcode": "barcode",
    "tag": "tag",
    "tags": "tags",
    "book": "book",
    "bookmark": "bookmark",
    "print": "print",
    "camera": "camera",
    "font": "font",
    "bold": "bold",
    "italic": "italic",
    "text-height": "text-height",
    "text-width": "text-width",
    "align-left": "align-left",
    "align-center": "align-center",
    "align-right": "align-right",
    "align-justify": "align-justify",
    "list": "list",
    "indent-left": "indent",
    "indent-right": "outdent",
    "facetime-video": "video-camera",
    "picture": "image",
    "map-marker": "map-marker",
    "adjust": "adjust",
    "tint": "tint",
    "edit": "edit",
    "share": "share",
    "check": "check",
    "move": "arrows",
    "step-backward": "step-backward",
    "fast-backward": "fast-backward",
    "backward": "backward",
    "play": "play",
    "pause": "pause",
    "stop": "stop",
    "forward": "forward",
    "fast-forward": "fast-forward",
    "step-forward": "step-forward",
    "eject": "eject",
    "chevron-left": "chevron-left",
    "chevron-right": "chevron-right",
    "plus-sign": "plus-circle",
    "minus-sign": "minus-circle",
    "remove-sign": "times-circle",
    "ok-sign": "check-circle",
    "question-sign": "question-circle",
    "info-sign": "info-circle",
    "screenshot": "crosshairs",
    "remove-circle": "times-circle",
    "ok-circle": "check-circle",
    "ban-circle": "ban",
    "arrow-left": "arrow-left",
    "arrow-right": "arrow-right",
    "arrow-up": "arrow-up",
    "arrow-down": "arrow-down",
    "share-alt": "share-alt",
    "resize-full": "expand",
    "resize-small": "compress",
    "exclamation-sign": "exclamation-circle",
    "gift": "gift",
    "leaf": "leaf",
    "fire": "fire",
    "eye-open": "eye",
    "eye-close": "eye-slash",
    "warning-sign": "exclamation-triangle",
    "plane": "plane",
    "calendar": "calendar",
    "random": "random",
    "comment": "comment",
    "magnet": "magnet",
    "chevron-up": "chevron-up",
    "chevron-down": "chevron-down",
    "retweet": "retweet",
    "shopping-cart": "shopping-cart",
    "folder-close": "folder",
    "folder-open": "folder-open",
    "resize-vertical": "arrows-v",
    "resize-horizontal": "arrows-h",
    "hdd": "hdd",
    "bullhorn": "bullhorn",
    "bell": "bell",
    "certificate": "certificate",
    "thumbs-up": "thumbs-up",
    "thumbs-down": "thumbs-down",
    "hand-right": "hand-point-right",
    "hand-left": "hand-point-left",
    "hand-up": "hand-point-up",
    "hand-down": "hand-point-down",
    "circle-arrow-right": "arrow-circle-right",
    "circle-arrow-left": "arrow-circle-left",
    "circle-arrow-up": "arrow-circle-up",
    "circle-arrow-down": "arrow-circle-down",
    "globe": "globe",
    "wrench": "wrench",
    "tasks": "tasks",
    "filter": "filter",
    "briefcase": "briefcase",
    "fullscreen": "expand",
    "dashboard": "dashboard",
    "paperclip": "paperclip",
    "heart-empty": "heart",
    "link": "link",
    "phone": "phone",
    "pushpin": "thumb-tack",
    "usd": "usd",
    "gbp": "gbp",
    "sort": "sort",
    "sort-by-alphabet": "sort-alpha-asc",
    "sort-by-alphabet-alt": "sort-alpha-desc",
    "sort-by-order": "sort-numeric-asc",
    "sort-by-order-alt": "sort-numeric-desc",
    "sort-by-attributes": "sort-amount-asc",
    "sort-by-attributes-alt": "sort-amount-desc",
    "unchecked": "square",
    "expand": "caret-square-right",
    "collapse-down": "caret-square-down",
    "collapse-up": "caret-square-up",
    "log-in": "sign-in",
    "flash": "bolt",
    "log-out": "sign-out",
    "new-window": "external-link",
    "record": "dot-circle",
    "save": "save",
    "open": "upload",
    "saved": "check",
    "import": "upload",
    "export": "download",
    "send": "paper-plane",
    "floppy-disk": "save",
    "floppy-saved": "check",
    "floppy-remove": "remove",
    "floppy-save": "download",
    "floppy-open": "upload",
    "credit-card": "credit-card",
    "transfer": "exchange",
    "cutlery": "cutlery",
    "header": "header",
    "compressed": "file-archive",
    "earphone": "phone",
    "phone-alt": "phone-square",
    "tower": "building",
    "stats": "bar-chart",
    "sd-video": "film",
    "hd-video": "film",
    "subtitles": "closed-captioning",
    "sound-stereo": "music",
    "sound-dolby": "music",
    "sound-5-1": "music",
    "sound-6-1": "music",
    "sound-7-1": "music",
    "copyright-mark": "copyright",
    "registration-mark": "registered",
    "cloud-download": "cloud-download",
    "cloud-upload": "cloud-upload",
    "tree-conifer": "tree",
    "tree-deciduous": "tree",
    "cd": "dot-circle",
    "save-file": "save",
    "open-file": "folder-open",
    "level-up": "level-up",
    "copy": "copy",
    "paste": "paste",
    "alert": "exclamation-triangle",
    "equalizer": "bar-chart",
    "king": "question",
    "queen": "question",
    "pawn": "question",
    "bishop": "question",
    "knight": "question",
    "baby-formula": "question",
    "tent": "question",
    "blackboard": "question",
    "bed": "bed",
    "apple": "apple",
    "erase": "eraser",
    "hourglass": "hourglass",
    "lamp": "lightbulb",
    "duplicate": "files",
    "piggy-bank": "piggy-bank",
    "scissors": "scissors",
    "bitcoin": "bitcoin",
    "btc": "btc",
    "xbt": "btc",
    "yen": "yen",
    "jpy": "jpy",
    "ruble": "ruble",
    "rub": "rub",
    "scale": "balance-scale",
    "ice-lolly": "question",
    "ice-lolly-tasted": "question",
    "education": "graduation-cap",
    "option-horizontal": "ellipsis-h",
    "option-vertical": "ellipsis-v",
    "menu-hamburger": "bars",
    "modal-window": "question",
    "oil": "question",
    "grain": "question",
    "sunglasses": "question",
    "text-size": "font",
    "text-color": "font",
    "text-background": "font",
    "object-align-top": "question",
    "object-align-bottom": "question",
    "object-align-horizontal": "question",
    "object-align-left": "question",
    "object-align-vertical": "question",
    "object-align-right": "question",
    "triangle-right": "caret-right",
    "triangle-left": "caret-left",
    "triangle-bottom": "caret-down",
    "triangle-top": "caret-up",
    "console": "terminal",
    "superscript": "superscript",
    "subscript": "subscript",
    "menu-left": "chevron-left",
    "menu-right": "chevron-right",
    "menu-down": "chevron-down",
    "menu-up": "chevron-up",
};
